Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QTextDrag Class Reference

The QTextDrag class is a drag and drop object for transferring plain and Unicode text. More...

`#include <qdragobject.h>`

Inherits QDragObject.

List of all member functions.

## Public Members

- QTextDrag ( const QString & text, QWidget * dragSource = 0, const char * name = 0 )
- QTextDrag ( QWidget * dragSource = 0, const char * name = 0 )
- ~QTextDrag ()
- virtual void setText ( const QString & text )
- virtual void setSubtype ( const QCString & st )

## Static Public Members

- bool canDecode ( const QMimeSource * e )
- bool decode ( const QMimeSource * e, QString & str )
- bool decode ( const QMimeSource * e, QString & str, QCString & subtype )

## Detailed Description

The QTextDrag class is a drag and drop object for transferring plain and Unicode text.

Plain text is passed in a QString which may contain multiple lines (i.e. may contain newline characters).

Qt provides no built-in mechanism for delivering only a single-line.

For more information about drag and drop, see the QDragObject class and the drag and drop documentation.

See also Drag And Drop Classes.

## Member Function Documentation

### QTextDrag::QTextDrag ( const QString & text, QWidget * dragSource = 0, const char * name = 0 )

Constructs a text drag object and sets its data to text. dragSource must be the drag source; name is the object name.

### QTextDrag::QTextDrag ( QWidget * dragSource = 0, const char * name = 0 )

Constructs a default text drag object. dragSource must be the drag source; name is the object name.

### QTextDrag::~QTextDrag ()

Destroys the text drag object and frees up all allocated resources.

### bool QTextDrag::canDecode ( const QMimeSource * e )`[static]`

Returns TRUE if the information in e can be decoded into a QString; otherwise returns FALSE.

See also decode().

Example: iconview/simple_dd/main.cpp.

### bool QTextDrag::decode ( const QMimeSource * e, QString & str )`[static]`

Attempts to decode the dropped information in e into str. Returns TRUE if successful; otherwise returns FALSE.

See also canDecode().

Example: iconview/simple_dd/main.cpp.

### bool QTextDrag::decode ( const QMimeSource * e, QString & str, QCString & subtype )`[static]`

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Attempts to decode the dropped information in e into str. Returns TRUE if successful; otherwise returns FALSE. If subtype is null, any text subtype is accepted; otherwise only the specified subtype is accepted.

See also canDecode().

### void QTextDrag::setSubtype ( const QCString & st )`[virtual]`

Sets the MIME subtype of the text being dragged to st. The default subtype is "plain", so the default MIME type of the text is "text/plain". You might use this to declare that the text is "text/html" by calling setSubtype("html").

### void QTextDrag::setText ( const QString & text )`[virtual]`

Sets the text to be dragged to text. You will need to call this if you did not pass the text during construction.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.